<h1>Escanear artículos</h1>
<section class="page">
    <div>
        <div class="columns">
            <div class="search-form">
                <div class="row">
                    <mat-form-field class="search-text-input" appearance="fill">
                        <input matInput type="text" [(ngModel)]="username" placeholder="Nombre de participante">
                    </mat-form-field>
                    <button mat-raised-button (click)="onUpdateUsername()" color="primary">Actualizar</button>
                </div>

                <div class="row">
                    <mat-form-field class="search-text-input" appearance="fill">
                        <input matInput type="text" placeholder="Código"
                               [(ngModel)]="itemCode">
                    </mat-form-field>

                    <button mat-raised-button color="primary" (click)="onSearch()">Buscar</button>
                </div>
            </div>
            <div class="score">
                <h1>Total: {{total}}</h1>
                <h3>Cantidad de artículos: {{dataSource.length}}</h3>
            </div>
        </div>

        <div class="columns reverse">
            <div class="left">
                <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">

                    <!-- Id Column -->
                    <ng-container matColumnDef="pos">
                        <th mat-header-cell *matHeaderCellDef class="pos-col"> #</th>
                        <td mat-cell *matCellDef="let element">
                            {{element.pos}}
                        </td>
                    </ng-container>

                    <!-- Code Column -->
                    <ng-container matColumnDef="code">
                        <th mat-header-cell *matHeaderCellDef> Código</th>
                        <td mat-cell *matCellDef="let element">
                            {{element.item.code}}
                        </td>
                    </ng-container>

                    <!-- Name Column -->
                    <ng-container matColumnDef="name">
                        <th mat-header-cell *matHeaderCellDef> Nombre</th>
                        <td mat-cell *matCellDef="let element"> {{element.item.name}}</td>
                    </ng-container>

                    <!-- Price Column -->
                    <ng-container matColumnDef="price">
                        <th mat-header-cell *matHeaderCellDef> Precio</th>
                        <td mat-cell *matCellDef="let element"> {{element.item.price}}</td>
                    </ng-container>

                    <!-- Brand Column -->
                    <ng-container matColumnDef="brand">
                        <th mat-header-cell *matHeaderCellDef> Marca</th>
                        <td mat-cell *matCellDef="let element"> {{element.item.brand}}</td>
                    </ng-container>

                    <!-- Supplier Column -->
                    <ng-container matColumnDef="supplier">
                        <th mat-header-cell *matHeaderCellDef> Proveedor</th>
                        <td mat-cell *matCellDef="let element"> {{element.item.supplier}}</td>
                    </ng-container>

                    <!-- Options Column -->
                    <ng-container matColumnDef="options" stickyEnd>
                        <th mat-header-cell *matHeaderCellDef class="options-col"> Opciones</th>
                        <td mat-cell *matCellDef="let element; let i = index">
                            <button mat-raised-button color="accent" (click)="onItemDelete(element.id, i)">X</button>
                        </td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
                </table>
            </div>
            <div>
                <div class="columns">
                    <div style="margin-right: 20px">
                        <div>Activar envío a FTP</div>
                        <mat-slide-toggle
                                [checked]="isFtpSync"
                                (change)="onActivateFtpChange($event)">
                        </mat-slide-toggle>
                    </div>
                    <div>
                        <div>Estado de envío</div>
                        <div class="{{statusClass}}">{{ftpStatus}}</div>
                    </div>
                </div>
                <br>
                <div>
                    <div>Nombre de archivo:</div>
                    <mat-form-field class="search-text-input" appearance="fill">
                        <input #fileNameFtpInput matInput type="text" placeholder="" value="{{filename}}">
                    </mat-form-field>
                </div>
                <div>
                    <div>En vivo:</div>
                    <mat-slide-toggle
                            [checked]="isLive"
                            (change)="onActivateLiveChange($event)">
                    </mat-slide-toggle>
                </div>
                <div>
                    <div>Auto Recarga:</div>
                    <mat-slide-toggle
                            [checked]="autoRefresh"
                            (change)="onActivateAutoRefresh($event)">
                    </mat-slide-toggle>
                </div>
                <div class="list-actions">
                    <button mat-raised-button color="accent" (click)="onReloadItems()">Recargar lista (ctrl+r)</button>
                    <button mat-raised-button color="accent" (click)="onDeleteItems()">Borrar lista</button>
                </div>
            </div>
        </div>
    </div>
</section>
